List units of measure
curl --request GET \
--url https://connect.fordje.com/v1/units-of-measure \
--header 'X-API-Key: <api-key>'import requests
url = "https://connect.fordje.com/v1/units-of-measure"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://connect.fordje.com/v1/units-of-measure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"response_type": "success",
"description": "Retrieved 4 unit(s) of measure",
"data": {
"items": [
{
"id": 1,
"name": "feet",
"abbreviation": "ft"
},
{
"id": 2,
"name": "inches",
"abbreviation": "in"
},
{
"id": 7,
"name": "US dollars",
"abbreviation": "USD"
},
{
"id": 12,
"name": "square feet",
"abbreviation": "sq ft"
}
],
"pagination": {
"page": 1,
"page_size": 100,
"total": 4,
"total_pages": 1
}
}
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}Reference Data
List units of measure
Get a paginated list of units of measure used for data point values.
GET
/
v1
/
units-of-measure
List units of measure
curl --request GET \
--url https://connect.fordje.com/v1/units-of-measure \
--header 'X-API-Key: <api-key>'import requests
url = "https://connect.fordje.com/v1/units-of-measure"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://connect.fordje.com/v1/units-of-measure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"response_type": "success",
"description": "Retrieved 4 unit(s) of measure",
"data": {
"items": [
{
"id": 1,
"name": "feet",
"abbreviation": "ft"
},
{
"id": 2,
"name": "inches",
"abbreviation": "in"
},
{
"id": 7,
"name": "US dollars",
"abbreviation": "USD"
},
{
"id": 12,
"name": "square feet",
"abbreviation": "sq ft"
}
],
"pagination": {
"page": 1,
"page_size": 100,
"total": 4,
"total_pages": 1
}
}
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}{
"description": "Access denied",
"error": "AHJ_ACCESS_DENIED",
"response_type": "error",
"status_code": 403
}Authorizations
Query Parameters
Page number
Required range:
x >= 1Items per page (max 500)
Required range:
1 <= x <= 500Response
Paginated list of units of measure
Standard response envelope for all Fordje Connect API endpoints.
Was this page helpful?